Skip to main content
`Ctrl`+`K`

# DMPlexDistributeSetDefault

Set flag indicating whether the `DM` should be distributed by default

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexDistributeSetDefault(DM dm, PetscBool dist)

Logically Collective

## Input Parameters

- dm - The `DM`

- dist - Flag for distribution

## See Also

`DMPLEX`, `DMPlexDistributeGetDefault()`, `DMPlexDistribute()`

## Level

intermediate

## Location

src/dm/impls/plex/plexdistribute.c

## Examples

src/dm/impls/plex/tutorials/ex5.c
src/ts/tutorials/ex48.c
src/snes/tutorials/ex56.c
src/dm/impls/plex/tutorials/ex18.c
src/snes/tutorials/ex11.c
src/dm/impls/plex/tutorials/ex19.c
src/ts/tutorials/ex30.c
src/dm/impls/plex/tutorials/ex15.c

## Implementations

DMPlexDistributeSetDefault_Plex() in src/dm/impls/plex/plexdistribute.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages